Page MenuHomePhabricator

Migrate existing projects to use the new Validator framework
Closed, ResolvedPublic

Description

With the new Validator framework being introduced we can start migrating existing projects that use MessageCheckers to use that instead it.

Initially a handful of projects had been chosen for initial migration,

  • iNaturalist
  • Dissem
  • Open Street Map - Website
  • WMCZ-Tracker

This process involves,

  • Migrating the existing checkers
  • Identifying any more checkers that need to be added
  • Migrating the Insertables
  • Deploying changes on Translatewiki.net
  • Getting feedback from the project

Another important goal is to have as less PHP code in the groups folder as possible.

The above migration went well, and we are now working on migrating the rest of the projects.

Related Objects

StatusSubtypeAssignedTask
OpenNone
OpenNone
Resolvedabi_
Resolvedabi_
Resolved Nikerabbit
Declinedabi_
Resolvedabi_
Resolvedabi_
Resolvedabi_
Resolvedabi_
Resolvedabi_
Resolvedabi_
ResolvedCrutishnyk
Resolvedabi_
Resolvedabi_
Resolvedabi_
ResolvedCrutishnyk
Resolvedabi_
Resolvedabi_
Resolvedabi_
Resolvedabi_
ResolvedZoranzoki21
Resolvedabi_
ResolvedCrutishnyk
Resolvedabi_
Resolvedabi_
Resolvedabi_
Resolvedabi_
Resolvedabi_
Resolvedabi_

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 523725 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Adds validators for iNaturalist

https://gerrit.wikimedia.org/r/523725

While working on https://gerrit.wikimedia.org/r/c/translatewiki/+/524669 I observed two things:

  • Limiting the validator to only certain messages is not possible without PHP code. We should consider whether we can add a message key matching support.
  • Limiting insertables to only certain messages is not possible at all. Hence the MM|DD|YYYY validator is not currently showing them as insertables.

Change 519783 merged by jenkins-bot:
[translatewiki@master] Add validators for the Dissemin papers and website

https://gerrit.wikimedia.org/r/519783

abi_ updated the task description. (Show Details)Aug 30 2019, 3:53 PM
abi_ added a comment.Aug 31 2019, 5:28 AM

While working on https://gerrit.wikimedia.org/r/c/translatewiki/+/524669 I observed two things:

  • Limiting the validator to only certain messages is not possible without PHP code. We should consider whether we can add a message key matching support.
  • Limiting insertables to only certain messages is not possible at all. Hence the MM|DD|YYYY validator is not currently showing them as insertables.

I have created the task T231705: Limit validation to certain messages to track this.

abi_ added a comment.Nov 5 2019, 5:59 AM

I've made a list of projects still using the old CHECKER syntax by running the following command,

❯ grep -H -R "CHECKER" groups/**/*.yaml | cut -d: -f1

I've pasted the output here - P9529. Check the output under Projects using CHECKER heading.

Change 549930 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Replace checkers and suggesters with validator for EtherpadLite

https://gerrit.wikimedia.org/r/549930

Change 549964 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Replace checkers and suggesters with validator for MathJax

https://gerrit.wikimedia.org/r/549964

Change 549964 merged by jenkins-bot:
[translatewiki@master] Replace checkers and suggesters with validator for MathJax

https://gerrit.wikimedia.org/r/549964

Change 549930 merged by jenkins-bot:
[translatewiki@master] Replace checkers and suggesters with validator for EtherpadLite

https://gerrit.wikimedia.org/r/549930

abi_ set Due Date to Dec 30 2019, 6:30 PM.Nov 14 2019, 4:24 PM
abi_ renamed this task from Migrate a few projects to the new Validator framework to Migrate existing projects to use the new Validator framework.Dec 13 2019, 4:08 PM
abi_ updated the task description. (Show Details)
abi_ changed Due Date from Dec 30 2019, 6:30 PM to Jan 30 2020, 6:30 PM.Jan 6 2020, 5:19 AM
abi_ changed Due Date from Jan 30 2020, 6:30 PM to Feb 19 2020, 6:30 PM.Feb 2 2020, 11:54 AM
abi_ removed a project: User-abi_.

Change 569367 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[mediawiki/extensions/Translate@master] Add WikiLinkValidator and MediaWikiPageNameValidator

https://gerrit.wikimedia.org/r/569367

Change 569371 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Replace checkers in MediaWiki, extension and themes with validators

https://gerrit.wikimedia.org/r/569371

Change 569367 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Add WikiLinkValidator and MediaWikiPageNameValidator

https://gerrit.wikimedia.org/r/569367

abi_ added a comment.EditedFeb 11 2020, 5:01 AM

Remaining projects using Message checkers,

❯ grep -H -R "CHECKER" groups/**/*.yaml | cut -d: -f1
groups/MantisBT/MantisBT.yaml
groups/Wikimedia/GapFinder.yaml
groups/Wikimedia/global-search.yaml
groups/Wikimedia/GrantMetrics.yaml
groups/Wikimedia/InteractionTimeline.yaml
groups/Wikimedia/Pageviews.yaml
groups/Wikimedia/ProveIt.yaml
groups/Wikimedia/svgtranslate.yaml
groups/Wikimedia/wiki-ai.yaml
groups/Wikimedia/WikimediaMobile-android.yaml
groups/Wikimedia/WikimediaTools.yaml
groups/Wikimedia/wscontest.yaml
groups/Wikimedia/XTools.yaml

Remaining projects using custom Insertable suggester,

❯ grep -H -R "Suggester.php" groups/**/*.yaml 
groups/lib.reviews/lib.reviews.yaml:  LibReviewsInsertablesSuggester: LibReviewsInsertablesSuggester.php
groups/MantisBT/MantisBT.yaml:  MantisBTInsertablesSuggester: MantisBTInsertablesSuggester.php
groups/Wikimedia/WikimediaMobile-android.yaml:    WikimediaMobileAndroidInsertablesSuggester: WikimediaMobileAndroidSuggester.php
groups/Wikimedia/WikimediaTools.yaml:  CrosswatchInsertablesSuggester: crosswatchSuggester.php

All the projects have now been migrated to use the new validator framework, and all the tasks are now in review.

Change 569371 merged by jenkins-bot:
[translatewiki@master] Replace checkers in MediaWiki, extension and themes with validators

https://gerrit.wikimedia.org/r/569371

Change 573854 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[mediawiki/extensions/Translate@master] Update Printf validator to match more formats

https://gerrit.wikimedia.org/r/573854

Change 573854 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Update Printf validator to match more formats

https://gerrit.wikimedia.org/r/573854

Nikerabbit closed this task as Resolved.Feb 26 2020, 2:57 PM
Nikerabbit removed a project: Patch-For-Review.